import { getUserInfo } from "@/services/my.js"
export default {
	namespaced: true,
	state: {
		userInfo:{ // 登录后的个人信息
			
		}
	},
	mutations: {
		// 保存用户信息
		saveUserInfo(state,payload){
			state.userInfo = payload
		}
	},
	actions: {
		// 获取用户信息
		async getUserInfo({state, dispatch, commit}){
			const res = await getUserInfo({ })
			console.log(33)
			commit('saveUserInfo', res.data.useinfo)
		}
	}
};